Skip to main content
POST
/
customers
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const customer = await client.customers.create({ email: 'email', name: 'name' });

console.log(customer.business_id);
import os
from dodopayments import DodoPayments

client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
customer = client.customers.create(
email="email",
name="name",
)
print(customer.business_id)
package main

import (
"context"
"fmt"

"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)

func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
customer, err := client.Customers.New(context.TODO(), dodopayments.CustomerNewParams{
Email: dodopayments.F("email"),
Name: dodopayments.F("name"),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customer.BusinessID)
}
package com.dodopayments.api.example;

import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.customers.Customer;
import com.dodopayments.api.models.customers.CustomerCreateParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

CustomerCreateParams params = CustomerCreateParams.builder()
.email("email")
.name("name")
.build();
Customer customer = client.customers().create(params);
}
}
package com.dodopayments.api.example

import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.customers.Customer
import com.dodopayments.api.models.customers.CustomerCreateParams

fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

val params: CustomerCreateParams = CustomerCreateParams.builder()
.email("email")
.name("name")
.build()
val customer: Customer = client.customers().create(params)
}
require "dodopayments"

dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)

customer = dodo_payments.customers.create(email: "email", name: "name")

puts(customer)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;

$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);

try {
$customer = $client->customers->create(
email: 'email',
name: 'name',
metadata: ['foo' => 'string'],
phoneNumber: 'phone_number',
);

var_dump($customer);
} catch (APIException $e) {
echo $e->getMessage();
}
using System;
using DodoPayments.Client;
using DodoPayments.Client.Models.Customers;

DodoPaymentsClient client = new();

CustomerCreateParams parameters = new()
{
Email = "email",
Name = "name",
};

var customer = await client.Customers.Create(parameters);

Console.WriteLine(customer);
use dodopayments::Client;

#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let result = client
.customers()
.create()
.body(dodopayments::models::CustomersCreateParams {
email: Some("email".to_string()),
name: Some("name".to_string()),
..Default::default()
})
.await?;
println!("{result:?}");
Ok(())
}
curl --request POST \
--url https://test.dodopayments.com/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"name": "<string>",
"metadata": {},
"phone_number": "<string>"
}
'
{
  "business_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "customer_id": "<string>",
  "email": "<string>",
  "name": "<string>",
  "metadata": {},
  "phone_number": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string
required
name
string
required
metadata
Metadata · object

Additional metadata for the customer

phone_number
string | null

Response

business_id
string
required
created_at
string<date-time>
required
customer_id
string
required
email
string
required
name
string
required
metadata
Metadata · object

Additional metadata for the customer

phone_number
string | null
Last modified on March 25, 2026